Game1.Preload = function(game){};
Game1.Preload.prototype = {
  preload: function() {
  
var xmlplain = '<font><info face="Segment7" size="100" bold="0" italic="0" charset="" unicode="1" stretchH="100" smooth="1" aa="1" padding="0,0,0,0" spacing="1,1" outline="0"/><common lineHeight="100" base="80" scaleW="256" scaleH="256" pages="1" packed="0" alphaChnl="1" redChnl="0" greenChnl="0" blueChnl="0"/><pages><page id="0" file="font_0_0.png" /></pages><chars count="11"><char id="32" x="250" y="0" width="1" height="100" xoffset="0" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="48" x="0" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="49" x="192" y="101" width="12" height="100" xoffset="41" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="50" x="50" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="51" x="100" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="52" x="98" y="101" width="47" height="100" xoffset="6" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="53" x="0" y="101" width="48" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="54" x="49" y="101" width="48" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="55" x="146" y="101" width="45" height="100" xoffset="8" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="56" x="150" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="57" x="200" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /></chars></font>';
    //show loading screen
   this.preloadBar = this.add.sprite(this.game.world.centerX, this.game.world.centerY, 'preloadbar');
    this.preloadBar.anchor.setTo(0.5);
    this.load.setPreloadSprite(this.preloadBar);
    //var cacheKey = Phaser.Plugin.Tiled.utils.cacheKey;
    this.load.image('bg', 'img/ZIP_main_background.jpg');
    this.load.image('bg_ingame', 'img/ZIP_main_background.jpg'); 
    this.load.image('bg_ingame0', 'img/ZIP_g_I_3_bg.jpg');  
    this.load.image('sponsors', 'img/sponsorzy.png');  
    this.load.image('title', 'img/ZIP_main_tytul.png');
    this.load.image('pomocnik', 'img/ZIP_main_przewodnik.png');
    this.load.spritesheet('play_button', 'img/ZIP_main_button_play.png',200,200,3); 
    this.load.spritesheet('speaker', 'img/ZIP_karta_pracy_button_glosnik.png',136/2,56,2);
    this.load.spritesheet('help', 'img/ZIP_info.png', 112,112);  
    //this.load.spritesheet('arrow','img/strzalki.png', 75,73);
    this.load.image('guiPomocnik_good', 'img/ZIP_g_I_4_przewodnik.png');
    this.load.image('guiPomocnik_bad', 'img/ZIP_g_I_4_przewodnik.png');  
    this.load.image('Finish', 'img/SPR_tytulowa_dymek_ZIP.png');

      this.load.spritesheet('info', 'img/ZIP_g_I_4_button.png',250,62,2);
      this.load.image("npc1", "img/ZIP_g_I_4_przewodnik_bg.png");
  //  this.load.image('empty', 'img/OB_I_5_empty.png');  
      
    //this.load.spritesheet('definicja', 'img/OB_I_1_definicja.png', (590/2),120); 
    this.load.spritesheet("gracz", 'img/ZIP_g_I_4_gracz.png', 114, 210 ,2);
    this.load.image('NPC', 'img/ZIP_g_I_4_przewodnik.png');  
       for (var i = 1; i<4; i++)
    {
    this.load.image("sky_"+i, 'img/ZIP_g_I_4_c'+i+'.png');
    } 
   // this.load.image("krzak_1", 'img/ZIP_g_I_4_k1.png');
   //  this.load.image("pytanie", 'img/ZIP_g_I_4_image.png');
    
    this.load.spritesheet('p_1', 'img/ZIP_g_I_3_button1.png', 370,100,2);
    this.load.spritesheet('p_2', 'img/ZIP_g_I_3_button2.png', 370,100,2);
    this.load.spritesheet('p_3', 'img/ZIP_g_I_3_button3.png', 370,100,2);
      
    this.load.image('1_3', 'img/ZIP_g_I_3_01.png', 480, 480);  
    this.load.image('2_2', 'img/ZIP_g_I_3_02.png', 480, 480);  
    this.load.image('3_2', 'img/ZIP_g_I_3_03.png', 480, 480);  
    this.load.image('4_2', 'img/ZIP_g_I_3_04.png', 480, 480);  
    this.load.image('5_3', 'img/ZIP_g_I_3_05.png', 480, 480);  
    this.load.image('6_1', 'img/ZIP_g_I_3_06.png', 480, 480);
    this.load.image('7_1', 'img/ZIP_g_I_3_07.png', 480, 480);  
    this.load.image('8_1', 'img/ZIP_g_I_3_08.png', 480, 480);  
    this.load.image('9_3', 'img/ZIP_g_I_3_09.png', 480, 480); 
      
    for (var i= 1 ; i<9; i++)
    {
      this.load.image(i, 'img/ZIP_g_I_3_z0'+i+'.png', 340, 340);   
    }
  },    
  create: function() {
    this.state.start('Menu');
  },

};